# Enable Redpanda Connect on an Existing BYOVPC Cluster on GCP

> For the complete documentation index, see [llms.txt](https://docs.redpanda.com/llms.txt). Component-specific: [cloud-data-platform-full.txt](https://docs.redpanda.com/cloud-data-platform-full.txt)

---
title: Enable Redpanda Connect on an Existing BYOVPC Cluster on GCP
latest-operator-version: v26.1.4
latest-console-tag: v3.7.3
latest-connect-version: 4.93.0
latest-redpanda-tag: v26.1.9
docname: cluster-types/byoc/gcp/enable-rpcn-byovpc-gcp
page-component-name: cloud-data-platform
page-version: master
page-component-version: master
page-component-title: Cloud
page-relative-src-path: cluster-types/byoc/gcp/enable-rpcn-byovpc-gcp.adoc
page-edit-url: https://github.com/redpanda-data/cloud-docs/edit/main/modules/get-started/pages/cluster-types/byoc/gcp/enable-rpcn-byovpc-gcp.adoc
description: Add Redpanda Connect to your existing BYOVPC cluster.
page-git-created-date: "2025-04-04"
page-git-modified-date: "2026-05-26"
---

<!-- Source: https://docs.redpanda.com/cloud-data-platform/get-started/cluster-types/byoc/gcp/enable-rpcn-byovpc-gcp.md -->

> ❗ **IMPORTANT**
>
> BYOVPC is an add-on feature that may require an additional purchase. To unlock this feature for your account, contact your Redpanda account team or [Redpanda Sales](https://www.redpanda.com/price-estimator).

To enable Redpanda Connect on an existing BYOVPC cluster, you must update your configuration. You can also create [a new BYOVPC cluster](https://docs.redpanda.com/cloud-data-platform/get-started/cluster-types/byoc/gcp/vpc-byo-gcp/) with Redpanda Connect already enabled.

Replace all `<placeholders>` with your own values.

1.  Create two new service accounts with the necessary permissions and roles.

    Show commands

    ```bash
    # Account used to check for and read secrets, which are required to create Redpanda Connect pipelines.

    gcloud iam service-accounts create redpanda-connect-api \
      --display-name="Redpanda Connect API Service Account"

    cat << EOT > redpanda-connect-api.role
    {
      "name": "redpanda_connect_api_role",
      "title": "Redpanda Connect API Role",
      "description": "Redpanda Connect API Role",
      "includedPermissions": [
        "resourcemanager.projects.get",
        "secretmanager.secrets.get",
        "secretmanager.versions.access"
      ]
    }
    EOT

    gcloud iam roles create redpanda_connect_api_role --project=<service-project-id> --file redpanda-connect-api.role

    gcloud projects add-iam-policy-binding <service-project-id> \
      --member="serviceAccount:redpanda-connect-api@<service-project-id>.iam.gserviceaccount.com" \
      --role="projects/<service-project-id>/roles/redpanda_connect_api_role"
    ```

    ```bash
    # Account used to retrieve secrets and create Redpanda Connect pipelines.

    gcloud iam service-accounts create redpanda-connect \
      --display-name="Redpanda Connect Service Account"

    cat << EOT > redpanda-connect.role
    {
      "name": "redpanda_connect_role",
      "title": "Redpanda Connect Role",
      "description": "Redpanda Connect Role",
      "includedPermissions": [
        "resourcemanager.projects.get",
        "secretmanager.versions.access"
      ]
    }
    EOT

    gcloud iam roles create redpanda_connect_role --project=<service-project-id> --file redpanda-connect.role

    gcloud projects add-iam-policy-binding <service-project-id> \
      --member="serviceAccount:redpanda-connect@<service-project-id>.iam.gserviceaccount.com" \
      --role="projects/<service-project-id>/roles/redpanda_connect_role"
    ```

2.  Bind the service accounts.

    The account ID of the GCP service account is used to configure service account bindings. This account ID is the local part of the email address for the GCP service account. For example, if the GCP service account is `my-gcp-sa@my-project.iam.gserviceaccount.com`, then the account ID is `my-gcp-sa`.

    Show commands

    ```none
    gcloud iam service-accounts add-iam-policy-binding <redpanda_connect_api-gcp-sa-account-id>@<service-project-id>.iam.gserviceaccount.com \
        --role roles/iam.workloadIdentityUser \
        --member "serviceAccount:<service-project-id>.svc.id.goog[redpanda-connect/<redpanda_connect_api-gcp-sa-account-id>]"
    ```

    ```none
    gcloud iam service-accounts add-iam-policy-binding <redpanda_connect-gcp-sa-account-id>@<service-project-id>.iam.gserviceaccount.com \
        --role roles/iam.workloadIdentityUser \
        --member "serviceAccount:<service-project-id>.svc.id.goog[redpanda-connect/<redpanda_connect-gcp-sa-account-id>]"
    ```

3.  Make a [`PATCH /v1/clusters/{cluster-id}`](https://docs.redpanda.com/api/doc/cloud-controlplane/operation/operation-clusterservice_updatecluster) request to update the cluster configuration.

    Show request

    ```bash
    export CLUSTER_PATCH_BODY=`cat << EOF
    {
        "customer_managed_resources": {
            "gcp": {
                "redpanda_connect_api_service_account": {
                  "email": "<redpanda_connect-api-gcp-sa-account-id>@<service-project-id>.iam.gserviceaccount.com"
                },
                "redpanda_connect_service_account": {
                  "email": "<redpanda_connect-gcp-sa-account-id>@<service-project-id>.iam.gserviceaccount.com"
                }
            }
        }
    }
    EOF`
    curl -v -X PATCH \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer $AUTH_TOKEN" \
    -d "$CLUSTER_PATCH_BODY" $PUBLIC_API_ENDPOINT/v1/clusters/<cluster-id>
    ```

4.  Check Redpanda Connect is available in the Cloud UI.

    1.  Log in to [Redpanda Cloud](https://cloud.redpanda.com).

    2.  Go to the **Connect** page and you should see Redpanda Connect.



## [](#next-steps)Next steps

-   Choose [connectors for your use case](https://docs.redpanda.com/cloud-data-platform/develop/connect/components/about/).

-   Learn how to [configure, test, and run a data pipeline locally](https://docs.redpanda.com/connect/get-started/quickstarts/rpk/).

-   Try the [Redpanda Connect quickstart](https://docs.redpanda.com/cloud-data-platform/develop/connect/connect-quickstart/).

-   Try one of our [Redpanda Connect cookbooks](https://docs.redpanda.com/cloud-data-platform/develop/connect/cookbooks/).

-   Learn how to [add secrets to your pipeline](https://docs.redpanda.com/cloud-data-platform/develop/connect/configuration/secret-management/).